Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.ThermostatSetpoint (grizzly v7.4.2)

"ThermostatSetpoint" Command Class

The Thermostat Setpoint Command Class is used to configure setpoints for the modes supported by a thermostat.

What type of commands does this command class support?

# Summary

## Types

param()

Shared parameters for ThermostatSetpointSet and ThermostatSetpointReport.

scale()
type()

## Functions

decode_scale(byte)
decode_type(arg1)
encode_scale(atom)
encode_type(atom)

# Types

Link to this type

# param()

View Source

    @type param() :: {:type, type()} | {:scale, scale()} | {:value, number()}

Shared parameters for ThermostatSetpointSet and ThermostatSetpointReport.

Link to this type

# scale()

View Source

    @type scale() :: :c | :f

Link to this type

# type()

View Source

    @type type() ::
      :na
      | :heating
      | :cooling
      | :furnace
      | :dry_air
      | :moist_air
      | :auto_changeover
      | :energy_save_heating
      | :energy_save_cooling
      | :away_heating
      | :away_cooling
      | :full_power

# Functions

Link to this function

# decode_scale(byte)

View Source

    @spec decode_scale(byte()) :: {:ok, scale()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# decode_type(arg1)

View Source

    @spec decode_type(byte()) :: type()

Link to this function

# encode_scale(atom)

View Source

    @spec encode_scale(scale()) :: byte()

Link to this function

# encode_type(atom)

View Source

    @spec encode_type(type()) :: byte()